Package org.pushingpixels.flamingo.internal.utils

# Class DoubleArrowResizableIcon

java.lang.Object
org.pushingpixels.flamingo.internal.utils.DoubleArrowResizableIcon

All Implemented Interfaces:
  `Icon`, `ResizableIcon`

public class DoubleArrowResizableIcon extends Object implements ResizableIcon
Helper implementation of `ResizableIcon` that draws a double arrow.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`direction`
Arrow direction.
`protected int`
`height`
The height of the rendered image.
`protected int`
`width`
The width of the rendered image.

## Constructor Summary

Constructors
Constructor
Description
`DoubleArrowResizableIcon(int initialDim, int direction)`
Creates a new double arrow resizable icon.
`DoubleArrowResizableIcon(Dimension initialDim, int direction)`
Creates a new double arrow resizable icon.

## Method Summary

Modifier and Type
Method
Description
`int`
`getIconHeight()`
`int`
`getIconWidth()`
`void`
`paintIcon(Component c, Graphics g, int x, int y)`
`void`
`revertToOriginalDimension()`
`void`
`setDimension(Dimension newDimension)`
Changes the dimension of `this` icon.
`protected boolean`
`toPaintEnabled(Component c)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### width

protected int width
The width of the rendered image.

### height

protected int height
The height of the rendered image.

### direction

protected int direction
Arrow direction. One of `SwingConstants.SOUTH`, `SwingConstants.NORTH`, `SwingConstants.EAST` or `SwingConstants.WEST`.

## Constructor Details

### DoubleArrowResizableIcon

public DoubleArrowResizableIcon(Dimension initialDim, int direction)
Creates a new double arrow resizable icon.

Parameters:
  `initialDim` - Initial icon dimension.
  `direction` - Arrow direction. Currently only `SwingConstants.SOUTH` is supported.

### DoubleArrowResizableIcon

public DoubleArrowResizableIcon(int initialDim, int direction)
Creates a new double arrow resizable icon.

Parameters:
  `initialDim` - Initial icon dimension.
  `direction` - Arrow direction. Currently only `SwingConstants.SOUTH` is supported.

## Method Details

### revertToOriginalDimension

public void revertToOriginalDimension()

### setDimension

public void setDimension(Dimension newDimension)
Description copied from interface: `ResizableIcon`
Changes the dimension of `this` icon.

Specified by:
  `setDimension` in interface `ResizableIcon`
Parameters:
  `newDimension` - New dimension for `this` icon.

### getIconHeight

public int getIconHeight()

Specified by:
  `getIconHeight` in interface `Icon`

### getIconWidth

public int getIconWidth()

Specified by:
  `getIconWidth` in interface `Icon`

### toPaintEnabled

protected boolean toPaintEnabled(Component c)

### paintIcon

public void paintIcon(Component c, Graphics g, int x, int y)

Specified by:
  `paintIcon` in interface `Icon`